Bug 888523 - (CVE-2012-5647) CVE-2012-5647 openshift-origin-node-util: restorer.php arbitrary URL redirection
CVE-2012-5647 openshift-origin-node-util: restorer.php arbitrary URL redirection
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130108,reported=2...
: Security
Depends On: 880699 888549
Blocks: 888535
  Show dependency treegraph
 
Reported: 2012-12-18 15:11 EST by Kurt Seifried
Modified: 2013-01-22 16:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-22 16:51:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVE-2012-5647-restorer.php.patch (1.62 KB, patch)
2012-12-18 15:56 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-12-18 15:11:04 EST
Michael Scherer (mscherer@redhat.com) reports:

the file https://github.com/openshift/origin-server/blob/master/node-util/www/html/restorer.php 
used to restore application after being idle fails to safely handle user 
supplied data that is later used in the HTTP headers for the Location:
value which can then result in request redirection to an arbitrary page.
Comment 1 Kurt Seifried 2012-12-18 15:56:48 EST
Created attachment 665755 [details]
CVE-2012-5647-restorer.php.patch
Comment 3 Murray McAllister 2013-01-07 01:04:12 EST
Acknowledgements:

This issue was discovered by Michael Scherer of the Red Hat Regional IT team.
Comment 4 errata-xmlrpc 2013-01-08 15:46:00 EST
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0148 https://rhn.redhat.com/errata/RHSA-2013-0148.html
Comment 5 Kurt Seifried 2013-01-22 16:51:47 EST
This issue has been addressed in OpenShift Online.

Note You need to log in before you can comment on or make changes to this bug.